- Qt 5.15
- Qt 3D
- C++ Classes
- QStencilMask
- Qt 5.15.11 Reference Documentation

# QStencilMask Class

class Qt3DRender::QStencilMask

The QStencilMask class controls the front and back writing of individual bits in the stencil planes. More...

Header: | #include <QStencilMask>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | StencilMask
Inherits: | Qt3DRender::QRenderState

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Properties

- backOutputMask : uint
- frontOutputMask : uint

## Public Functions

uint | backOutputMask() const
uint | frontOutputMask() const

## Public Slots

void | setBackOutputMask(uint backOutputMask)
void | setFrontOutputMask(uint frontOutputMask)

## Signals

void | backOutputMaskChanged(uint backOutputMask)
void | frontOutputMaskChanged(uint frontOutputMask)

## Detailed Description

A Qt3DRender::QStencilMask class specifies a write mask for the stencil values after the stencil test. Mask can be specified separately for the front-facing and back-facing polygons. The fragment stencil value is and'd with the mask before it is written to the stencil buffer.

See also Qt3DRender::QStencilTest.

## Property Documentation

### backOutputMask : uint

Holds the write mask for the fragment stencil values for back-facing polygons.

Access functions:

uint | backOutputMask() const
void | setBackOutputMask(uint backOutputMask)

Notifier signal:

void | backOutputMaskChanged(uint backOutputMask)

### frontOutputMask : uint

Holds the write mask for the fragment stencil values for front-facing polygons.

Access functions:

uint | frontOutputMask() const
void | setFrontOutputMask(uint frontOutputMask)

Notifier signal:

void | frontOutputMaskChanged(uint frontOutputMask)